### Function

# JavaScriptCore get_major_version

unstable since: 6.0

#### Declaration [src]

    guint
    jsc_get_major_version (
      void
    )

#### Description [src]

Returns the major version number of the JavaScriptCore library. (e.g. in JavaScriptCore version 1.8.3 this is 1.)

This function is in the library, so it represents the JavaScriptCore library your code is running against. Contrast with the #JSC_MAJOR_VERSION macro, which represents the major version of the JavaScriptCore headers you have included when compiling your code.

Available since: 6.0

#### Return value

Type: `guint`

The major version number of the JavaScriptCore library.